Enable Lead Webhook
curl --request POST \
--url https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"phone_field": "<string>",
"default_country_code": "<string>",
"dedupe_minutes": 720,
"call_window": {
"start": "09:00",
"end": "20:00",
"timezone": "Europe/Warsaw",
"days": [
123
]
}
}
'import requests
url = "https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable"
payload = {
"phone_field": "<string>",
"default_country_code": "<string>",
"dedupe_minutes": 720,
"call_window": {
"start": "09:00",
"end": "20:00",
"timezone": "Europe/Warsaw",
"days": [123]
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_field: '<string>',
default_country_code: '<string>',
dedupe_minutes: 720,
call_window: {start: '09:00', end: '20:00', timezone: 'Europe/Warsaw', days: [123]}
})
};
fetch('https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'phone_field' => '<string>',
'default_country_code' => '<string>',
'dedupe_minutes' => 720,
'call_window' => [
'start' => '09:00',
'end' => '20:00',
'timezone' => 'Europe/Warsaw',
'days' => [
123
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable"
payload := strings.NewReader("{\n \"phone_field\": \"<string>\",\n \"default_country_code\": \"<string>\",\n \"dedupe_minutes\": 720,\n \"call_window\": {\n \"start\": \"09:00\",\n \"end\": \"20:00\",\n \"timezone\": \"Europe/Warsaw\",\n \"days\": [\n 123\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"phone_field\": \"<string>\",\n \"default_country_code\": \"<string>\",\n \"dedupe_minutes\": 720,\n \"call_window\": {\n \"start\": \"09:00\",\n \"end\": \"20:00\",\n \"timezone\": \"Europe/Warsaw\",\n \"days\": [\n 123\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"phone_field\": \"<string>\",\n \"default_country_code\": \"<string>\",\n \"dedupe_minutes\": 720,\n \"call_window\": {\n \"start\": \"09:00\",\n \"end\": \"20:00\",\n \"timezone\": \"Europe/Warsaw\",\n \"days\": [\n 123\n ]\n }\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agents & Calls
Enable Lead Webhook
Give the agent a lead URL in one step (the integration wizard).
Doing it by hand means adding a trigger node in the flow editor, saving, then switching the lead settings on. This adds the node when the agent has none, switches lead_webhook on with the settings given, and returns what GET /lead-webhook returns.
POST
/
api
/
v1
/
agents
/
{agent_id}
/
lead-webhook
/
enable
Enable Lead Webhook
curl --request POST \
--url https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"phone_field": "<string>",
"default_country_code": "<string>",
"dedupe_minutes": 720,
"call_window": {
"start": "09:00",
"end": "20:00",
"timezone": "Europe/Warsaw",
"days": [
123
]
}
}
'import requests
url = "https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable"
payload = {
"phone_field": "<string>",
"default_country_code": "<string>",
"dedupe_minutes": 720,
"call_window": {
"start": "09:00",
"end": "20:00",
"timezone": "Europe/Warsaw",
"days": [123]
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_field: '<string>',
default_country_code: '<string>',
dedupe_minutes: 720,
call_window: {start: '09:00', end: '20:00', timezone: 'Europe/Warsaw', days: [123]}
})
};
fetch('https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'phone_field' => '<string>',
'default_country_code' => '<string>',
'dedupe_minutes' => 720,
'call_window' => [
'start' => '09:00',
'end' => '20:00',
'timezone' => 'Europe/Warsaw',
'days' => [
123
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable"
payload := strings.NewReader("{\n \"phone_field\": \"<string>\",\n \"default_country_code\": \"<string>\",\n \"dedupe_minutes\": 720,\n \"call_window\": {\n \"start\": \"09:00\",\n \"end\": \"20:00\",\n \"timezone\": \"Europe/Warsaw\",\n \"days\": [\n 123\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"phone_field\": \"<string>\",\n \"default_country_code\": \"<string>\",\n \"dedupe_minutes\": 720,\n \"call_window\": {\n \"start\": \"09:00\",\n \"end\": \"20:00\",\n \"timezone\": \"Europe/Warsaw\",\n \"days\": [\n 123\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/agents/{agent_id}/lead-webhook/enable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"phone_field\": \"<string>\",\n \"default_country_code\": \"<string>\",\n \"dedupe_minutes\": 720,\n \"call_window\": {\n \"start\": \"09:00\",\n \"end\": \"20:00\",\n \"timezone\": \"Europe/Warsaw\",\n \"days\": [\n 123\n ]\n }\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Your organization's API key (account in the bottom-left of the dashboard → Brosbots API).
Path Parameters
The agent's ID: the public agent_ + 20 characters identifier shown in the dashboard (recommended), or the legacy number. Both address the same agent.
Pattern:
^agent_[A-Za-z0-9]{20}$Example:
"agent_7fK2mQ9xLp3RtV8wYb1N"
Body
application/json
Response
Successful Response
The response is of type object.